=== modified file 'Makefile.am'
--- Makefile.am	2011-10-11 22:37:47 +0000
+++ Makefile.am	2011-11-02 23:53:56 +0000
@@ -181,6 +181,7 @@
 include support-files/include.am
 include tests/include.am
 include unittests/include.am
+include libdrizzle/include.am
 include libdrizzle-1.0/libdrizzle/include.am
 include libdrizzle-2.0/libdrizzle/include.am
 include win32/include.am

=== added directory 'libdrizzle'
=== modified file 'libdrizzle-1.0/libdrizzle/include.am'
--- libdrizzle-1.0/libdrizzle/include.am	2011-04-04 17:27:22 +0000
+++ libdrizzle-1.0/libdrizzle/include.am	2011-11-02 23:53:56 +0000
@@ -1,3 +1,4 @@
+# vim:ft=automake
 #
 # Drizzle Client Library
 #
@@ -36,73 +37,69 @@
 lib_LTLIBRARIES+= libdrizzle-1.0/libdrizzle/libdrizzle.la
 
 libdrizzle_1_0_libdrizzle_libdrizzle_la_CFLAGS= \
-	${AM_CFLAGS} \
-        ${OLDLIBDRIZZLE_CPPFLAGS} \
-        ${CFLAG_VISIBILITY} \
-	-DBUILDING_LIBDRIZZLE
+						${AM_CFLAGS} \
+						${OLDLIBDRIZZLE_CPPFLAGS} \
+						${CFLAG_VISIBILITY} \
+						-DBUILDING_LIBDRIZZLE
 
 libdrizzle_1_0_libdrizzle_libdrizzle_la_LDFLAGS= \
-	$(AM_LDFLAGS) \
-        $(GCOV_LIBS) \
-	-version-info \
-	$(OLDLIBDRIZZLE_LIBRARY_VERSION)
-
-oldlibdrizzlepkgconfigdir= $(libdir)/pkgconfig
-oldlibdrizzlepkgconfig_DATA= \
-                             support-files/libdrizzle-1.0.pc
+						 $(AM_LDFLAGS) \
+						 $(GCOV_LIBS) \
+						 -version-info \
+						 $(OLDLIBDRIZZLE_LIBRARY_VERSION)
 
 libdrizzle_1_0_libdrizzle_libdrizzle_la_SOURCES= \
-	libdrizzle-1.0/libdrizzle/column.c \
-	libdrizzle-1.0/libdrizzle/command.c \
-	libdrizzle-1.0/libdrizzle/conn.c \
-	libdrizzle-1.0/libdrizzle/conn_uds.c \
-	libdrizzle-1.0/libdrizzle/drizzle.c \
-	libdrizzle-1.0/libdrizzle/field.c \
-	libdrizzle-1.0/libdrizzle/handshake.c \
-	libdrizzle-1.0/libdrizzle/pack.c \
-	libdrizzle-1.0/libdrizzle/query.c \
-	libdrizzle-1.0/libdrizzle/result.c \
-	libdrizzle-1.0/libdrizzle/row.c \
-	libdrizzle-1.0/libdrizzle/sha1.c \
-	libdrizzle-1.0/libdrizzle/state.c
+						 libdrizzle-1.0/libdrizzle/column.c \
+						 libdrizzle-1.0/libdrizzle/command.c \
+						 libdrizzle-1.0/libdrizzle/conn.c \
+						 libdrizzle-1.0/libdrizzle/conn_uds.c \
+						 libdrizzle-1.0/libdrizzle/drizzle.c \
+						 libdrizzle-1.0/libdrizzle/field.c \
+						 libdrizzle-1.0/libdrizzle/handshake.c \
+						 libdrizzle-1.0/libdrizzle/pack.c \
+						 libdrizzle-1.0/libdrizzle/query.c \
+						 libdrizzle-1.0/libdrizzle/result.c \
+						 libdrizzle-1.0/libdrizzle/row.c \
+						 libdrizzle-1.0/libdrizzle/sha1.c \
+						 libdrizzle-1.0/libdrizzle/state.c
 
 dist_oldlibdrizzleinstall_HEADERS= \
-	libdrizzle-1.0/libdrizzle/column.h \
-	libdrizzle-1.0/libdrizzle/column_client.h \
-	libdrizzle-1.0/libdrizzle/column_server.h \
-	libdrizzle-1.0/libdrizzle/command_client.h \
-	libdrizzle-1.0/libdrizzle/command_server.h \
-	libdrizzle-1.0/libdrizzle/conn.h \
-	libdrizzle-1.0/libdrizzle/conn_client.h \
-	libdrizzle-1.0/libdrizzle/conn_server.h \
-	libdrizzle-1.0/libdrizzle/constants.h \
-	libdrizzle-1.0/libdrizzle/drizzle.h \
-	libdrizzle-1.0/libdrizzle/drizzle_client.h \
-	libdrizzle-1.0/libdrizzle/drizzle_server.h \
-	libdrizzle-1.0/libdrizzle/field_client.h \
-	libdrizzle-1.0/libdrizzle/field_server.h \
-	libdrizzle-1.0/libdrizzle/handshake_client.h \
-	libdrizzle-1.0/libdrizzle/handshake_server.h \
-	libdrizzle-1.0/libdrizzle/libdrizzle.h \
-	libdrizzle-1.0/libdrizzle/query.h \
-	libdrizzle-1.0/libdrizzle/result.h \
-	libdrizzle-1.0/libdrizzle/result_client.h \
-	libdrizzle-1.0/libdrizzle/result_server.h \
-	libdrizzle-1.0/libdrizzle/row_client.h \
-	libdrizzle-1.0/libdrizzle/row_server.h \
-	libdrizzle-1.0/libdrizzle/structs.h \
-	libdrizzle-1.0/libdrizzle/visibility.h
+				   libdrizzle-1.0/libdrizzle/column.h \
+				   libdrizzle-1.0/libdrizzle/column_client.h \
+				   libdrizzle-1.0/libdrizzle/column_server.h \
+				   libdrizzle-1.0/libdrizzle/command_client.h \
+				   libdrizzle-1.0/libdrizzle/command_server.h \
+				   libdrizzle-1.0/libdrizzle/conn.h \
+				   libdrizzle-1.0/libdrizzle/conn_client.h \
+				   libdrizzle-1.0/libdrizzle/conn_server.h \
+				   libdrizzle-1.0/libdrizzle/constants.h \
+				   libdrizzle-1.0/libdrizzle/drizzle.h \
+				   libdrizzle-1.0/libdrizzle/drizzle_client.h \
+				   libdrizzle-1.0/libdrizzle/drizzle_server.h \
+				   libdrizzle-1.0/libdrizzle/field_client.h \
+				   libdrizzle-1.0/libdrizzle/field_server.h \
+				   libdrizzle-1.0/libdrizzle/handshake_client.h \
+				   libdrizzle-1.0/libdrizzle/handshake_server.h \
+				   libdrizzle-1.0/libdrizzle/libdrizzle.h \
+				   libdrizzle-1.0/libdrizzle/query.h \
+				   libdrizzle-1.0/libdrizzle/result.h \
+				   libdrizzle-1.0/libdrizzle/result_client.h \
+				   libdrizzle-1.0/libdrizzle/result_server.h \
+				   libdrizzle-1.0/libdrizzle/row_client.h \
+				   libdrizzle-1.0/libdrizzle/row_server.h \
+				   libdrizzle-1.0/libdrizzle/structs.h \
+				   libdrizzle-1.0/libdrizzle/visibility.h
 
 noinst_HEADERS+= \
-	libdrizzle-1.0/libdrizzle/common.h \
-	libdrizzle-1.0/libdrizzle/drizzle_local.h \
-	libdrizzle-1.0/libdrizzle/conn_local.h \
-	libdrizzle-1.0/libdrizzle/pack.h \
-	libdrizzle-1.0/libdrizzle/state.h \
-	libdrizzle-1.0/libdrizzle/sha1.h
+		 libdrizzle-1.0/libdrizzle/common.h \
+		 libdrizzle-1.0/libdrizzle/drizzle_local.h \
+		 libdrizzle-1.0/libdrizzle/conn_local.h \
+		 libdrizzle-1.0/libdrizzle/pack.h \
+		 libdrizzle-1.0/libdrizzle/state.h \
+		 libdrizzle-1.0/libdrizzle/sha1.h
 
 libdrizzle-1.0: libdrizzle-1.0/libdrizzle/libdrizzle.la
-install-libdrizzle-1.0: libdrizzle-1.0 install-dist_oldlibdrizzleinstallHEADERS install-oldlibdrizzlepkgconfigDATA
+install-libdrizzle-1.0: libdrizzle-1.0 install-dist_oldlibdrizzleinstallHEADERS
 	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
 	echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) libdrizzle-1.0/libdrizzle/libdrizzle.la '$(DESTDIR)$(libdir)'";
 	$(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) libdrizzle-1.0/libdrizzle/libdrizzle.la "$(DESTDIR)$(libdir)";

=== modified file 'libdrizzle-2.0/libdrizzle/include.am'
--- libdrizzle-2.0/libdrizzle/include.am	2011-10-04 20:01:12 +0000
+++ libdrizzle-2.0/libdrizzle/include.am	2011-11-02 23:53:56 +0000
@@ -1,3 +1,4 @@
+# vim:ft=automake
 #
 # Drizzle Client Library
 #
@@ -76,10 +77,6 @@
 	-version-info \
 	$(LIBDRIZZLE_LIBRARY_VERSION)
 
-libdrizzlepkgconfigdir= $(libdir)/pkgconfig
-libdrizzlepkgconfig_DATA= \
-                          support-files/libdrizzle-2.0.pc
-
 libdrizzle_2_0_libdrizzle_libdrizzle_2_0_la_SOURCES= \
 	libdrizzle-2.0/libdrizzle/column.cc \
 	libdrizzle-2.0/libdrizzle/command.cc \
@@ -178,6 +175,6 @@
 
 
 libdrizzle: libdrizzle-2.0/libdrizzle/libdrizzle-2.0.la
-install-libdrizzle: libdrizzle install-dist_libdrizzleinstallHEADERS install-libdrizzlepkgconfigDATA
+install-libdrizzle: libdrizzle install-dist_libdrizzleinstallHEADERS
 	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
 	$(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) libdrizzle-2.0/libdrizzle/libdrizzle-2.0.la "$(DESTDIR)$(libdir)"

=== added file 'libdrizzle/drizzle.h'
--- libdrizzle/drizzle.h	1970-01-01 00:00:00 +0000
+++ libdrizzle/drizzle.h	2011-11-02 23:53:56 +0000
@@ -0,0 +1,39 @@
+/*  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Libdrizzle Library
+ *
+ *  Copyright (C) 2011 Brian Aker, brian@tangent.org
+ *
+ *  Redistribution and use in source and binary forms, with or without
+ *  modification, are permitted provided that the following conditions are
+ *  met:
+ *
+ *      * Redistributions of source code must retain the above copyright
+ *  notice, this list of conditions and the following disclaimer.
+ *
+ *      * Redistributions in binary form must reproduce the above
+ *  copyright notice, this list of conditions and the following disclaimer
+ *  in the documentation and/or other materials provided with the
+ *  distribution.
+ *
+ *      * The names of its contributors may not be used to endorse or
+ *  promote products derived from this software without specific prior
+ *  written permission.
+ *
+ *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+ *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+ *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+ *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+ *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+ *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+ *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+ *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+ *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ *
+ */
+
+#pragma once
+
+#include <libdrizzle-1.0/libdrizzle/drizzle.h>

=== added file 'libdrizzle/include.am'
--- libdrizzle/include.am	1970-01-01 00:00:00 +0000
+++ libdrizzle/include.am	2011-11-02 23:53:56 +0000
@@ -0,0 +1,3 @@
+# vim:ft=automake
+
+nobase_include_HEADERS= libdrizzle/drizzle.h

